/*
 * Hypercube API
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 0.2.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.nfvmano.sbi.starfish.model;

import java.util.Objects;

import com.google.gson.annotations.SerializedName;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * TrafficCounters
 */

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2022-04-20T08:51:25.137Z[GMT]")
public class TrafficCounters {
  @SerializedName("return_bytes")
  private Integer returnBytes = null;

  @SerializedName("forward_bytes")
  private Integer forwardBytes = null;

  public TrafficCounters returnBytes(Integer returnBytes) {
    this.returnBytes = returnBytes;
    return this;
  }

   /**
   * Get returnBytes
   * @return returnBytes
  **/
  @Schema(description = "")
  public Integer getReturnBytes() {
    return returnBytes;
  }

  public void setReturnBytes(Integer returnBytes) {
    this.returnBytes = returnBytes;
  }

  public TrafficCounters forwardBytes(Integer forwardBytes) {
    this.forwardBytes = forwardBytes;
    return this;
  }

   /**
   * Get forwardBytes
   * @return forwardBytes
  **/
  @Schema(description = "")
  public Integer getForwardBytes() {
    return forwardBytes;
  }

  public void setForwardBytes(Integer forwardBytes) {
    this.forwardBytes = forwardBytes;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TrafficCounters trafficCounters = (TrafficCounters) o;
    return Objects.equals(this.returnBytes, trafficCounters.returnBytes) &&
        Objects.equals(this.forwardBytes, trafficCounters.forwardBytes);
  }

  @Override
  public int hashCode() {
    return Objects.hash(returnBytes, forwardBytes);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TrafficCounters {\n");
    
    sb.append("    returnBytes: ").append(toIndentedString(returnBytes)).append("\n");
    sb.append("    forwardBytes: ").append(toIndentedString(forwardBytes)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
